<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Состояния элемента</title>
	<link rel="stylesheet" href="./css/reset.css">
	<link rel="stylesheet" href="./css/style.css">

	<style>
		.material-checkbox {
			z-index: 0;
			position: relative;
			display: inline-block;
			color: rgba(0, 0, 0, 0.87);
			font-size: 16px;
			line-height: 1.5;
		}

		/* Input */
		.material-checkbox > input {
			appearance: none;
			-moz-appearance: none;
			-webkit-appearance: none;
			z-index: -1;
			position: absolute;
			left: -10px;
			top: -8px;
			display: block;
			margin: 0;
			border-radius: 50%;
			width: 40px;
			height: 40px;
			background-color: #000000;
			box-shadow: none;
			outline: none;
			opacity: 0;
			transform: scale(1);
			pointer-events: none;
			transition: opacity 0.3s, transform 0.2s;
		}

		/* Span */
		.material-checkbox > span {
			display: inline-block;
			width: 100%;
			cursor: pointer;
		}

		/* Box */
		.material-checkbox > span::before {
			content: "";
			display: inline-block;
			box-sizing: border-box;
			margin: 3px 11px 3px 1px;
			border: solid 2px; /* Safari */
			border-color: #000000;
			border-radius: 2px;
			width: 18px;
			height: 18px;
			vertical-align: top;
			transition: border-color 0.2s, background-color 0.2s;
		}

		/* Checkmark */
		.material-checkbox > span::after {
			content: "";
			display: block;
			position: absolute;
			top: 4px;
			left: 1px;
			width: 10px;
			height: 5px;
			border: solid 2px transparent;
			border-right: none;
			border-top: none;
			transform: translate(3px, 4px) rotate(-45deg);
		}
		.material-checkbox > input:checked,
		.material-checkbox > input:indeterminate {
			background-color: blue;
		}
		.material-checkbox > input:checked + span::before,
		.material-checkbox > input:indeterminate + span::before {
			border-color: blue;
			background-color: blue;
		}
		.material-checkbox > input:checked + span::after,
		.material-checkbox > input:indeterminate + span::after {
			border-color: rgb(255, 255, 255);
		}
		.material-checkbox > input:indeterminate + span::after {
			border-left: none;
			transform: translate(4px, 3px);
		}
		.material-checkbox > input:active {
			opacity: 1;
			transform: scale(0);
			transition: transform 0s, opacity 0s;
		}
		.material-checkbox > input:active + span::before {
			border-color: blue;
		}
		.material-checkbox > input:checked:active + span::before {
			border-color: transparent;
			background-color: #000000;
		}

	</style>
</head>
<body>
<header class="container">
	<div class="header-wrap">
		<div class="header-left">
			<img class="header-logo" src="./images/logo.png" alt="logo">
		</div>
		<div class="header-right">
			<nav class="header-menu">
				<ul class="menu-list child">
					<li class="menu-item"><a class="menu-link" href="#">HELLO</a></li>
					<li class="menu-item"><a class="menu-link" href="#">TEAM</a></li>
					<li class="menu-item"><a class="menu-link" href="#">SERVICES</a></li>
					<li class="menu-item"><a class="menu-link" href="#">PORTFOLIO</a></li>
					<li class="menu-item"><a class="menu-link" href="#">BLOG</a></li>
					<li class="menu-item"><a class="menu-link" href="#">CONTACT</a></li>
				</ul>
			</nav>
		</div>
	</div>
</header>
<main>
	<section class="container">
		<div class="checkbox-section">
			<div class="wl-container">
				<h2 class="ex-title">Checkbox Design</h2>
				<label class="material-checkbox">
					<input type="checkbox">
					<span>Checkbox</span>
				</label>
			</div>
		</div>
	</section>
</main>
</body>
</html>